# Session::startTransaction

(No version information available, might only be in Git)

Session::startTransaction — Start transaction

### Description

public mysql_xdevapi\Session::startTransaction ( void ) : void

Start a new transaction.

### Parameters

This function has no parameters.

### Return Values

An SqlStatementResult object.

### Examples

Example #1 mysql_xdevapi\Session::startTransaction() example

`<?php
$session = mysql_xdevapi\getSession("mysqlx://user:password@localhost");
$collection = $session->getSchema("addressbook")->getCollection("friends");
$session->startTransaction();
$collection->add( '{"test1":1, "test2":2}' )->execute();
$savepoint = $session->setSavepoint();
$collection->add( '{"test3":3, "test4":4}' )->execute();
$session->releaseSavepoint($savepoint);
$session->rollback();
?>`